import { api } from 'shared/api'
import type { ResultDomain } from 'shared/types'


/**
 * 认证 API
 * 通过 Gateway (8180) 访问 Auth Service (8181)
 * 路由规则：/urban-lifeline/auth/** → auth-service/urban-lifeline/auth/**
 */
export const agentAPI = {
    baseUrl: "/urban-lifeline/xxx",//随后端更新

    /**
     * 获取智能体列表
     * @returns 智能体列表
     */
    async agentList(): Promise<ResultDomain<any>> {
        // const response = await api.post<null>(`${this.baseUrl}/send-sms-code`, { phone })
        // return response.data
        return [];
    },

    /**
     * 新增智能体
     * @param agent 智能体信息
     * @returns 智能体信息
     */
    async addAgent(agent: any): Promise<ResultDomain<any>> {
        // const response = await api.post<null>(`${this.baseUrl}/send-sms-code`, { phone })
        // return response.data
        return [];
    },

    /**
     * 更新智能体
     * @param agent 智能体信息
     * @returns 智能体信息
     */
    async updateAgent(agent: any): Promise<ResultDomain<any>> {
        // const response = await api.post<null>(`${this.baseUrl}/send-sms-code`, { phone })
        // return response.data
        return [];
    },

    /**
     * 删除智能体
     * @param agentId 智能体ID
     * @returns 智能体信息
     */
    async deleteAgent(agentId: string): Promise<ResultDomain<any>> {
        // const response = await api.post<null>(`${this.baseUrl}/send-sms-code`, { phone })
        // return response.data
        return [];
    },
    
}